<?php

require_once('config.inc.php');
require_once('Highlight.php');

class FrontendAJAH {
	private $backend;
	private $pieces;

	public function __construct($pieces) {
		$this->backend = new Backend();
		$this->pieces = $pieces;
	}


	function process() {
		global $defaultlines, $sources;

		$ret = "";

		$lines = isset($_GET['lines']) ? $_GET['lines'] : $defaultlines;

		if (!preg_match('/\d+/', $lines)) {
			$lines = $defaultlines;
		}

		// Just read from backend and highlight
		$id = isset($this->pieces[1]) ? $this->pieces[1] : "";

		if (empty($id) || !isset($sources[$id])) {
			$ret = "Inexistent id or empty id";
		} else {
			$ret .= Highlight::doHighlight($this->backend->readlog($id,
						$lines), $sources[$id]['generator']);
		}

		echo $ret;
	}

}


?>
